# Anleitungen

Georg
Schuster

    gschuster@utanet.at

Deutsche Übersetzung

# Anleitungen

## Die Benutzung des Editors

Dies könnte im Bereich Editor stehen.

## Globals

Zeigt, wie globale und setGlobal &DCOP;-Aufrufe für globale Variablen in Skripten funktionieren

## &DCOP;

Zeigt, wie sowohl lokale als auch externe &DCOP;-Aufrufe zur Kommunikation mit externen Anwendungen genutzt werden können.

## Slots

Zeigt, wie man Verbindungen/Slots zur Behandlung von Ereignissen nutzt. Sowohl Population- als auch Standard-Slots werden verwendet.

## Settings

Zeigt die Verwendung der @readSetting und @writeSetting Funktion zum Schreiben/Wiederherstellen des Inhaltes von Bedienelementen. Zusätzlich, wie populate() Slot zur Voreinstellung von Bedienelement-Inhalten genutzt werden kann.

## Append

Zeigt, wie Text an ein TextEdit angehängt werden kann und wie Text formatiert angezeigt wird.

## Befehlszeile

Zeigt die Übergabe von Parametern an &kommander;-Dialoge über die Befehlszeile und wie Listeninhalte und Schaltflächentexte geändert werden.

## Initialize

Zeigt die Verwendung einer Initialisierung, um Skripte vom Hauptdialog zurückzusetzen und einige Einstellungen zu speichern.